summaryrefslogtreecommitdiff
path: root/tests/ls/rt-1
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1998-05-27 12:36:38 +0000
committerJim Meyering <jim@meyering.net>1998-05-27 12:36:38 +0000
commit39f78131e25235767db525148430ba7891ebc3f0 (patch)
treedec6362661c2e1e688fac3f135e08d0d99a0da95 /tests/ls/rt-1
parent75637a7ef48630513cc1d8122e5ba07d886d5399 (diff)
downloadcoreutils-39f78131e25235767db525148430ba7891ebc3f0.tar.xz
.
Diffstat (limited to 'tests/ls/rt-1')
-rwxr-xr-xtests/ls/rt-152
1 files changed, 52 insertions, 0 deletions
diff --git a/tests/ls/rt-1 b/tests/ls/rt-1
new file mode 100755
index 000000000..fc91655cd
--- /dev/null
+++ b/tests/ls/rt-1
@@ -0,0 +1,52 @@
+#!/bin/sh
+# Make sure name is used as secondary key when sorting on mtime or ctime.
+
+: ${LS=ls}
+: ${TOUCH=touch}
+
+if test "$VERBOSE" = yes; then
+ set -x
+ $LS --version
+fi
+
+tmp=t-ls.$$
+
+# We're going to run LS from a subdir.
+# Prepend ../ if $LS is a relative file name.
+case $LS in
+ /*) ;;
+ */*) LS=../$LS
+esac
+
+case $TOUCH in
+ /*) ;;
+ */*) TOUCH=../$TOUCH
+esac
+
+test_failure=0
+mkdir $tmp || test_failure=1
+cd $tmp || test_failure=1
+
+date=1998-01-15
+
+$TOUCH -d "$date" c || test_failure=1
+$TOUCH -d "$date" a || test_failure=1
+$TOUCH -d "$date" b || test_failure=1
+
+if test $test_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+fail=0
+
+set `$LS -t a b c`
+test "$*" = 'a b c' && : || fail=1
+
+set `$LS -rt a b c`
+test "$*" = 'c b a' && : || fail=1
+
+cd ..
+rm -rf $tmp
+
+exit $fail